Update node template

Updates a node template.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The ID of the cluster that the template is for

string
required

The name of the node template to update

Body Params

The node template to update

string
constraints
object
boolean | null

Marks whether the templated nodes will have a taint.

customLabel
object
rebalancingConfig
object
customTaints
array of objects

Custom taints for the template.

customTaints
customLabels
object

Custom labels for the template.
The passed values will be ignored if the field custom_label is present.

boolean | null
boolean | null
boolean | null

This field is used to enable/disable autoscaling for the template.

boolean

Flag whether this template is the default template for the cluster.

gpu
object
edgeLocationIds
array of strings
deprecated

Deprecated: use edge_location_configs instead.

edgeLocationIds
boolean | null
priceAdjustmentConfiguration
object

PriceAdjustmentConfiguration represents price adjustment multipliers.

boolean | null

Nodes in this node-template have Storage Optimization (STOP) enabled.

edgeLocationConfigs
array of objects

Edge location configurations associated with this template.

edgeLocationConfigs
stuckPodResizeReconciliation
object
string | null

CLM networking mode for nodes created from this template.
"default" (or omitted) = auto-detect current behavior.
"none" = no connection preservation during migration.
"tc" = new pod IP on the destination node with eBPF traffic-control
translation of the old IP; allows cross-subnet/AZ migration on any provider.
"cni" = pod IP preservation via the CNI (Calico / AWS VPC CNI fork);
requires same subnet/AZ.

Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json